#
#   config.make.in
#
#   All of the settings required by the makefile package
#   that are determined by configure.
#
#   Copyright (C) 1997 Free Software Foundation, Inc.
#
#   Author:  Scott Christley <scottc@net-community.com>
#   Author:  Ovidiu Predescu <ovidiu@net-community.com>
#
#   This file is part of the GNUstep Makefile Package.
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#   
#   You should have received a copy of the GNU General Public
#   License along with this library; see the file COPYING.LIB.
#   If not, write to the Free Software Foundation,
#   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#
# The GNUstep Make Package Version
#
GNUSTEP_MAKE_MAJOR_VERSION=1
GNUSTEP_MAKE_MINOR_VERSION=3
GNUSTEP_MAKE_SUBMINOR_VERSION=0
GNUSTEP_MAKE_VERSION=1.3.0

#
# Binary and compile tools
#
CC      = cc
OPTFLAG = -O -pipe -mcpu=ev4 -D_THREAD_SAFE
CPPFLAGS = 
OBJC_NO_IMPORT_FLAGS = -Wno-import

EXEEXT = 
OEXT   = .o
LIBEXT = .a

LN_S = ln -s

# This is the best we can do given the current autoconf, which only
# returns LN_S
ifeq ($(LN_S), ln -s)
  HAS_LN_S = yes
endif

LD = $(CC)
LDOUT =
LDFLAGS =  

AR      = ar
AROUT   =
ARFLAGS = rc
RANLIB  = ranlib

DLLTOOL = 

YACC            = yacc
BISON           = bison
FLEX            = flex
LEX             = lex

INSTALL		= /usr/bin/install -c -o root -g wheel
INSTALL_PROGRAM	= install -c
INSTALL_DATA	= install -c
TAR		= tar
MKDIRS		= $(GNUSTEP_MAKEFILES)/mkinstalldirs
CHOWN           = chown
STRIP           = strip

# The default library combination
default_library_combo = gnu-gnu-gnu

# Backend bundle
BACKEND_BUNDLE=yes

FORCE_DEFAULTS_ROOT=

FORCE_USER_ROOT=

#
# Do threading stuff.
#
# Warning - the base library's configure.in will extract the thread
# flags from the following line using grep/sed - so if you change the
# following lines you *need* to update the base library configure.in
# too.
#
ifndef objc_threaded
  objc_threaded:= -pthread
endif

# Any user specified libs, like thread libraries
CONFIG_SYSTEM_INCL =  -I/usr/local/include
CONFIG_SYSTEM_LIBS =  -L/usr/local/lib
CONFIG_SYSTEM_DEFS = 

#
# Whether the C/ObjC/C++ compiler supports auto-dependencies
# (generating dependencies of the object files from the include files
# used to compile them) via -MMD -MP flags
#
AUTO_DEPENDENCIES = 

## Local variables:
## mode: makefile
## End:
